# Update Classifier

Source: https://www.digiparser.com/docs/api/updateClassifier

# Update Classifier

Server URL`loading...`

PATCH

/`api`/`v1`/`classifiers`/`{classifierId}`

Send

Authorization

Path

Body

## [Authorization](#authorization)

`bearerAuth`

authorization<token>

Your API key. Include it directly in the Authorization header as the API key value (e.g., 'authorization: your-api-key-here')

In: `header`

## [Path Parameters](#path-parameters)

classifierId\*string

The ID of the document classifier

Format`uuid`

## [Request Body](#request-body)

`application/json`

name?string

description?string

acceptedFileTypes?array<string\>

routing?ClassifierRoutingSettings

splitDocuments?SplitDocumentsSettings

PDF split settings for a parser. Split settings apply to PDF files imported through uploads, email, upload pages, embeds, API, URL imports, and Zapier.

emailParsing?object

isActive?boolean

\[key: string\]?never

## [Response Body](#response-body)

### 200

`application/json`

cURL

JavaScript

Go

Python

Java

C#

```
curl -X PATCH "https://api.digiparser.com/api/v1/classifiers/8af7812d-3b1a-4869-a2b0-a7a3cb2807d1" \  -H "Content-Type: application/json" \  -d '{}'
```

200

```
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "Claims intake",
  "description": "string",
  "isActive": true,
  "emailAddress": "[email protected]",
  "acceptedFileTypes": [
    {
      "mimeType": "application/pdf",
      "label": "PDF"
    }
  ],
  "settings": {
    "routing": {
      "rules": [
        {
          "id": "string",
          "label": "Invoice",
          "targetParserId": "c1414b5c-cc7f-4042-9bc2-fa9363157ee6"
        }
      ],
      "fallback": {
        "action": "skip",
        "targetParserId": "c1414b5c-cc7f-4042-9bc2-fa9363157ee6"
      },
      "instructions": "string"
    },
    "splitDocuments": {
      "enabled": true,
      "mode": "everyXPages",
      "everyXPages": 5,
      "pageRanges": "1, 3, 7-9",
      "instructions": "Each invoice starts with an invoice number at the top.",
      "partitionKey": "transactions.transaction_date",
      "partitionKeySource": "parserField"
    }
  },
  "counts": {
    "totalDocuments": 0,
    "routed": 0,
    "skipped": 0,
    "failed": 0
  },
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
```

[

Get Classifier GET

Previous Page

](/docs/api/getClassifier)[

Delete Classifier DELETE

Next Page

](/docs/api/deleteClassifier)